<ion-app>
  <app-header title="All Appointment"></app-header>
  <ion-content class="eh-px-10" *ngIf="dispatchView; else dataAwaitedBlk">
    <div class="eh-hide-scrollbars eh-py-0 eh-px-6">
      <mat-tab-group class="e-mat-tab-group e-mat-tab-group--1 eh-h-100p" animationDuration="0ms"
        mat-align-tabs="center" [(selectedIndex)]="Upcoming" [disableRipple]="true" headerPosition="above">
        <mat-tab label="Upcoming">
          <div class="eh-p-2 eh-ofy-scroll eh-hide-scrollbars">
            <ng-container *ngIf="upcomingAppointments.length > 0; else noUpcomingAppointmentsBlk">
              <div *ngFor="let appt of upcomingAppointments" class="eh-mt-16 ">
                <app-appointment-doc [appointment]="appt" (onCancel)="onCancelClick($event)">
                </app-appointment-doc>
              </div>
            </ng-container>
          </div>
        </mat-tab>
        <mat-tab label="Previous">
          <div class="eh-p-2 eh-ofy-scroll eh-hide-scrollbars">
            <ng-container *ngIf="previousAppointments.length > 0; else noPreviousAppointmentsBlk">
              <div *ngFor="let appt of previousAppointments" class="eh-mt-16 ">
                <app-appointment-doc [appointment]="appt" (onCancel)="onCancelClick($event)">
                </app-appointment-doc>
              </div>
            </ng-container>
            <ng-template #noPreviousAppointmentsBlk>
              <div fxLayout="column" fxLayoutAlign="center center">
                <div class=" e-txt e-txt--placeholder">
                  No Previous Appointments
                </div>
              </div>
            </ng-template>
          </div>
        </mat-tab>
      </mat-tab-group>
    </div>
    <ng-template #noUpcomingAppointmentsBlk>
      <div fxLayout="row" fxLayoutAlign="center center" class="eh-h-100v eh-xy-center e-txt e-txt--placeholder">

        No Upcoming Appointments
      </div>
    </ng-template>
  </ion-content>
  <!-- <app-tabs></app-tabs> -->
  <ng-template #dataAwaitedBlk>
    <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
      <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
    </div>
  </ng-template>
</ion-app>